13.04 한글문제

12.04를 쓰다 12.10을 거쳐 13.04로 바로 업그레이드를 했습니다. 그런데 13.04에서 한글 읽기는 문제 없는데, 한글 쓰기가 전혀 안 됩니다. 12.04까지는 nabi와 ibus 모두 설치해서 세벌식으로 이상 없이 썼습니다. 13.04에서는 한글입력기도 안 보입니다. 그래서 nabi와 ibus를 설치하려고 하면 다음과 같은 메시지가 나오면서 안 됩니다. 어떻게 하면 한글을 쓸 수 있을까요?

$ sudo apt-get install nabi
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
몇몇 패키지를 설치할 수 없습니다. 요청한 상황이 불가능할 수도 있고,
불안정 배포판을 사용해서 일부 필요한 패키지를 아직 만들지 않았거나,
아직 Incoming에서 나오지 않은 경우일 수도 있습니다.
이 상황을 해결하는데 다음 정보가 도움이 될 수도 있습니다:

다음 패키지의 의존성이 맞지 않습니다:
nabi : 의존: libhangul1 (>= 0.1.0) 하지만 %s 패키지를 설치하지 않을 것입니다
E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.
$

sudo apt-get -f install 해보세요.
libhangul1이 의존성 문제로 설치되지 못하는것 같습니다.

그리고, 혹시나 해서 말씀드리는데,
13.04에서는 im-switch를 사용하지 않는 것이 좋습니다.
설치하면 im-config와 충돌하여 gnome-language-selector가 같이 지워집니다.

나비설치 후, im-config를 사용하여, 입력기를 선택하실 때에는
GUI는 뭔가 버그로 나비입력기가 보이지 않습니다.
im-config -c -a 명령으로 하여야 모든 입력기가 보입니다.
여기서 hangul이 나비입력기 입니다.

고맙습니다. 알려주신 대로 해 보니 다음과 같이 나옵니다.

$ sudo apt-get -f install
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
다음 패키지가 자동으로 설치되었지만 더 이상 필요하지 않습니다:
libjs-underscore
Use ‘apt-get autoremove’ to remove it.
0개 업그레이드, 0개 새로 설치, 0개 제거 및 69개 업그레이드 안 함.
$
$
$ sudo apt-get install nabi
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
몇몇 패키지를 설치할 수 없습니다. 요청한 상황이 불가능할 수도 있고,
불안정 배포판을 사용해서 일부 필요한 패키지를 아직 만들지 않았거나,
아직 Incoming에서 나오지 않은 경우일 수도 있습니다.
이 상황을 해결하는데 다음 정보가 도움이 될 수도 있습니다:

다음 패키지의 의존성이 맞지 않습니다:
nabi : 의존: libhangul1 (>= 0.1.0) 하지만 %s 패키지를 설치하지 않을 것입니다
E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.
$

뭐가 잘못 된 건가요? (한글 쓰기가 안 되서 윈도우로 옮겨서 쓰고 있습니다.) 어떻게 해야 하나요?

또 한가지 문제점은 소프트웨어 업데이트 도구에서, “기타 업데이트” 항목 아래에 “Hangul engine for IBUS”와 “한글 X입력기 서버, imhangul상태보기 겸용”은 빈칸인데 선택 설정을 할 수 없습니다. 마우스로 눌러도 반응이 없어요.

지금 갑자기 파이어폭스에서는 한글로 쓰기가 가능합니다. 입력기가 보이는 건 아니고, Ctrl-SPACE를 누르면 한글(원래 쓰던 세벌식)로 Shift-SPACE를 누르면 영문으로 바뀝니다. 파이어폭스에서는 한글이 되고, 파이어폭스 밖 다른 애플리케이션(편집기, 터미널 등)에서는 한글 쓰기가 안 됩니다.

[code:1tsdsnum]sudo apt-get --purge remove libhangul*[/code:1tsdsnum]
로 지운 뒤에

[code:1tsdsnum]sudo apt-get update && sudo apt-get install nabi ibus-hangul[/code:1tsdsnum]
로 다시 설치해보세요.

[quote="protochaos":1ylqccnh]sudo apt-get -f install 해보세요.
libhangul1이 의존성 문제로 설치되지 못하는것 같습니다.

그리고, 혹시나 해서 말씀드리는데,
13.04에서는 im-switch를 사용하지 않는 것이 좋습니다.
설치하면 im-config와 충돌하여 gnome-language-selector가 같이 지워집니다.

나비설치 후, im-config를 사용하여, 입력기를 선택하실 때에는
GUI는 뭔가 버그로 나비입력기가 보이지 않습니다.
im-config -c -a 명령으로 하여야 모든 입력기가 보입니다.
여기서 hangul이 나비입력기 입니다.[/quote:1ylqccnh]

[quote="ubuntuuser":1ylqccnh]고맙습니다. 알려주신 대로 해 보니 다음과 같이 나옵니다.

$ sudo apt-get -f install
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
다음 패키지가 자동으로 설치되었지만 더 이상 필요하지 않습니다:
libjs-underscore
Use ‘apt-get autoremove’ to remove it.
0개 업그레이드, 0개 새로 설치, 0개 제거 및 69개 업그레이드 안 함.
$
$
$ sudo apt-get install nabi
패키지 목록을 읽는 중입니다… 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다… 완료
몇몇 패키지를 설치할 수 없습니다. 요청한 상황이 불가능할 수도 있고,
불안정 배포판을 사용해서 일부 필요한 패키지를 아직 만들지 않았거나,
아직 Incoming에서 나오지 않은 경우일 수도 있습니다.
이 상황을 해결하는데 다음 정보가 도움이 될 수도 있습니다:

다음 패키지의 의존성이 맞지 않습니다:
nabi : 의존: libhangul1 (>= 0.1.0) 하지만 %s 패키지를 설치하지 않을 것입니다
E: 문제를 바로잡을 수 없습니다. 망가진 고정 패키지가 있습니다.
$

뭐가 잘못 된 건가요? (한글 쓰기가 안 되서 윈도우로 옮겨서 쓰고 있습니다.) 어떻게 해야 하나요?

또 한가지 문제점은 소프트웨어 업데이트 도구에서, “기타 업데이트” 항목 아래에 “Hangul engine for IBUS”와 “한글 X입력기 서버, imhangul상태보기 겸용”은 빈칸인데 선택 설정을 할 수 없습니다. 마우스로 눌러도 반응이 없어요.

지금 갑자기 파이어폭스에서는 한글로 쓰기가 가능합니다. 입력기가 보이는 건 아니고, Ctrl-SPACE를 누르면 한글(원래 쓰던 세벌식)로 Shift-SPACE를 누르면 영문으로 바뀝니다. 파이어폭스에서는 한글이 되고, 파이어폭스 밖 다른 애플리케이션(편집기, 터미널 등)에서는 한글 쓰기가 안 됩니다.[/quote:1ylqccnh]

어이없게 바로 해결했습니다. 알려 주신 대로 im-switch를 실행하니 아예 설치를 안 했다고 나와서, im-config를 실행하니 설정 창이 뜹니다. 아무런 설정이 없길래, "시스템 디폴트 자동 설정"대신 "한글입력기"를 선택하고 저장을 하니 "nabi로 설정"을 한다고 해서 X를 껐다 다시 실행하니, 로그인 하면 나비 아이콘도 화면 왼쪽 상단에 뜨고, 바로 어디서 든 한글을 쓸 수 있네요.

그런데 "시스템 설정-언어 지원-키보드 입력기"에서는 "기본 값"과 "없음"만 보이고 나비나 그 외는 보이지 않습니다. 뭔가 꼬였지만 다시 꼬아서 한글을 쓸 수 있긴 한 것 같은데, 통상 업데이트나 앞으로 13.10 등으로 업그레이드 시 큰 문제는 없을까요?

짧은 생각이지만, 혹시라도 우분투에서 한글/한국 사용자들을 지원하지 않고 무시(?)할까 봐 영문만 써도 되지만 일부러 한글 설치하고 한글 관련 패키지도 쓰는데, 우분투에서 한글/한국 사용자에 대해서는 아무래도 일어나 지나어에 비해 지원이나 투자 등이 적겠죠!

[quote="floor":aam5u0xv][code:aam5u0xv]sudo apt-get --purge remove libhangul*[/code:aam5u0xv]
로 지운 뒤에

[code:aam5u0xv]sudo apt-get update && sudo apt-get install nabi ibus-hangul[/code:aam5u0xv]
로 다시 설치해보세요.[/quote:aam5u0xv]

고맙습니다. 잘 적어 둬야겠습니다.